select 
	a.SID_CORPORATE
,	a.SID_USER
,	a.ID
,	(case b.open
		when '0' then '0'
		else a.ACCESSKIND
	end) as ACCESSKIND
from
	TMPR_ACCCAB_ALL a
inner join
	TMPR_CAB_CATEGORY b
	on 
		a.SID_CORPORATE=b.SID_CORPORATE and
		a.SID_USER=b.SID_USER and
		a.ID=b.ID
where
	a.SID_CORPORATE=1
order by
	a.SID_USER,a.ID
;
