select 
	a.SID_CORPORATE
,	a.SID_USER
,	a.ID
,	a.SID_ATTACH
,	a.FILENAME
,	a.DISPNAME
,	a.MIMETYPE
,	b.Name
,	b.memo
,	b.savefolder
,	b.entry
,	b.Name as logtitle
from
	TTPR_ATTACH_CAB a
inner join
	TTPR_CAB b
	on
		a.SID_CORPORATE=b.SID_CORPORATE and
		a.SID_USER=b.SID_USER and
		a.ID=b.ID
where
	a.SID_CORPORATE = 1
order by
	a.SID_USER,a.ID
;
