SELECT 
  SID_CORPORATE
, '1' AS useproxy
, host
, port
, UserID
, word
FROM
(
 select 
    SID_CORPORATE
  , 0 as ID
  , '0' as _off
  , host
  , port
  , UserID
  , word
  from TM_PROXYSERVER
  where host IS NOT NULL
   and  host<>''
 union all
 select 
    SID_CORPORATE
  , ID
  , _off
  , proxysrv as host
  , proxyport as port
  , proxyuid as UserID
  , proxypwd as word
  from TM_TABWINDOW
  where ID in
  (
   select 
   MAX(ID)
   from TM_TABWINDOW
   where sso='2'
    and loginurl IS NOT NULL
    and loginurl<>''
    and proxyauth='1'
    and proxysrv IS NOT NULL
    and proxysrv<>''
   group by _off
  )
)
AS newproxy
ORDER BY _off,ID
OFFSET 0 LIMIT 1;
