select a.SID_CORPORATE
	, a.SID_USER
	, a.ID
	, NULL as SID_PARTS
	, a.SID_ATTACH
	, a.filename
	, a.dispname
	, a.mimetype
	, COALESCE(b.subject,'') || COALESCE(b.detail,'') as logtitle
	from TTPR_ATTACH_CRT_DRAFT as a
	join TTPR_CRT_DRAFT as b on a.SID_CORPORATE=b.SID_CORPORATE and a.SID_USER=b.SID_USER and a.ID=b.ID
	where a.SID_CORPORATE=1
union all
select a.SID_CORPORATE
	, a.SID_USER
	, a.SID_CREPORT as ID
	, a.ID as SID_PARTS
	, a.SID_ATTACH
	, a.filename
	, a.dispname
	, a.mimetype
	, COALESCE(b.subject,'') || COALESCE(b.detail,'') as logtitle
	from TTPR_ATTACH_CRT_DRAFT_PARTS as a
	join TTPR_CRT_DRAFT as b on a.SID_CORPORATE=b.SID_CORPORATE and a.SID_USER=b.SID_USER and a.SID_CREPORT=b.ID
	where a.SID_CORPORATE=1
order by 
	SID_CORPORATE
	, SID_USER
	, ID
	, SID_PARTS NULLS FIRST
	, SID_ATTACH