select a.SID_CORPORATE
	, NULL as SID_GROUP
	, a.SID_FORM
	, a.ID
	, case when a.ID >= 0 then a.SEQNO else coalesce(b.maxseqno,0) + abs(a.seqno) end as SEQNO
	, a.htmltype
	, a.htmlparts
	, a.Name
	, a.namehide
	, a.preval
	, a.hissuchk
	, a.partshide
	, a.br
	, a.selval
	, a.srows
	, a.yeartype
	, a.decimalpoint
	, a.unit
	, a.unitarrange
	, a.minval
	, a.maxval
	from TM_FLW_FORMPARTS as a
		left outer join (select sid_corporate, sid_form, max(seqno) as maxseqno from TM_FLW_FORMPARTS where id>=0 group by sid_corporate, sid_form) as b
		on b.sid_corporate=a.sid_corporate and b.sid_form=a.sid_form
	where a.SID_CORPORATE=1
union all
select a.SID_CORPORATE
	, a.SID_GROUP
	, a.SID_FORM
	, a.ID
	, case when a.ID >= 0 then a.SEQNO else coalesce(b.maxseqno,0) + abs(a.seqno) end as SEQNO
	, a.htmltype
	, a.htmlparts
	, a.Name
	, a.namehide
	, a.preval
	, a.hissuchk
	, a.partshide
	, a.br
	, a.selval
	, a.srows
	, a.yeartype
	, a.decimalpoint
	, a.unit
	, a.unitarrange
	, a.minval
	, a.maxval
	from TM_FLW_GROUP_FORMPARTS as a
		left outer join (select sid_corporate, sid_group, sid_form, max(seqno) as maxseqno from TM_FLW_GROUP_FORMPARTS where id>=0 group by sid_corporate, sid_group, sid_form) as b
			on b.sid_corporate=a.sid_corporate and b.sid_group=a.sid_group and b.sid_form=a.sid_form
	where a.SID_CORPORATE=1
order by SID_CORPORATE
	, SID_GROUP
	, SID_FORM
	, ID
