select b.SID_CORPORATE
	, coalesce(rowcount, 100) as rowcount
	, warncnt
	, coalesce(save, 24) as save
	, coalesce(ldoc, '0') as ldoc
	, coalesce(docfolderid, 0) as docfolderid
	, CAST((CASE WHEN warncnt IS NOT NULL THEN '1' ELSE '0' END) AS char(1)) as warnflg
	, CAST('0' AS char(1)) as admwarnflg
	, CAST(NULL AS varchar(7)) as admwarncnt
	, b.attachsize 
	from (select SID_CORPORATE, case when attachsizeuse='1' then attachsize else 0 end as attachsize from TM_SETTING) b left join TM_FLW_SETTING a on a.SID_CORPORATE=b.SID_CORPORATE
	where b.SID_CORPORATE=1
