select a.SID_CORPORATE
	, a.SID_FLW
	, a.SID_HISTORY
	, a.ID
	, a.SID_ATTACH
	, a.filename
	, a.dispname
	, a.mimetype
	, COALESCE(b.subject,'') || COALESCE(b.detail,'') || '(' || CAST(b.SID_HISTORY as varchar) || '回目)' as logtitle
	from TT_ATTACH_FLW_HISTORY_PARTS as a
		join TT_FLW_HISTORY as b on a.SID_CORPORATE=b.SID_CORPORATE and a.SID_FLW=b.ID and a.SID_HISTORY=b.SID_HISTORY
	where a.SID_CORPORATE=1