select flw.SID_CORPORATE
	, flw.ID
	, flw.FLWKIND
	, flw.subject
	, flw.detail
	, flw.important
	, flw.entry
	, flw.entrydate
	, flw.entrytime
	, flw.entryname
	, flw.entrykana
	, flw.status
	, flw.routecount
	, flw.readcount
	, flw.endmail
	, flw.period
	, flw.decvno
	, flw.lastdecvno
	, flw.reader
	, flw.readername
	, flw.readerkana
	, flw.sendnum
	, RTrim(flw.no) as no
	, flw.open
	, NULL as memo
	, flw.agenda
	, flw.anonymouse
	, NULL as SID_FORM
	, CAST(NULL AS numeric(9)) as entrygid
	, CAST(NULL AS varchar(255)) as entrygname
	, CAST(NULL AS numeric(9)) as docfolderid
	, CASE WHEN flw.FLWKIND='E' THEN
	 	CASE WHEN u.ID IS NOT NULL AND g.ID IS NOT NULL AND (uset.nodispitem LIKE '%Group%' OR uset.nodispitem LIKE '%assign%') IS NOT TRUE THEN u.Name || ' [' || g.Name || ']'
			 ELSE flw.entryname END
      ELSE NULL END as makename
 from TT_FLW flw
	left outer join TM_USER u ON u.SID_CORPORATE = flw.SID_CORPORATE AND u.ID = flw.entry
	left outer join TM_GROUP g ON g.SID_CORPORATE = u.SID_CORPORATE AND g.ID = u.defgroup
	left outer join TM_USET_SETTING uset ON uset.SID_CORPORATE = flw.SID_CORPORATE
 where
	flw.SID_CORPORATE=1
 order by
	flw.SID_CORPORATE, flw.ID
;