select 
	f.SID_CORPORATE
,	f.ID
,	f.NAME
,	f.ANONYMOUSE
,	f.ATTACHSIZE
,	f.MAXCONTRIBUTE
,	f.MAXCONT
,	f.FCTRL
,	f.SAVE
,	f.FSTATUS
,	f.ENTRY
,	f.CRETIME
,	COALESCE(a.MAXID, 0) as LASTID
 from
	TT_FRM_ROOM f
	left outer join 
	(select 
		SID_CORPORATE
	,	SID_FORUM
	,	max(ID) as MAXID
	 from TT_FRM_ARTICLE
	  where COALESCE(ROOTAID,0)=0
	   group by SID_CORPORATE ,SID_FORUM
	   ) a
	on f.SID_CORPORATE=a.SID_CORPORATE
	 and f.ID=a.SID_FORUM
  where
	f.SID_CORPORATE=1
   order by ID;
