select 
	m.SID_CORPORATE
,	m.SID_FORUM
,	m.ID
,	m.TITLE as NAME
,	m.CONTR
,	m.ENTRY
,	COALESCE(m.ANONYMOUSE,'0') as ANONYMOUSE
,	(case when COALESCE(c.MAXID, 0)<=m.ID then m.ID when COALESCE(c.MAXID, 0)>m.ID then c.MAXID end) as LASTID
,	(case when COALESCE(c.MAXID, 0)<=m.ID then m.ID when COALESCE(c.MAXID, 0)>m.ID then c.MAXID end) as LID_ARTICLE 
,	(case when COALESCE(c.MAXID, 0)<=m.ID then m.CRETIME when COALESCE(c.MAXID, 0)>m.ID then c.MAXCRETIME end) as LATESTENTRYTIME
,	m.CRETIME
 from 
	TT_FRM_ARTICLE m
	left join
	(
    select 
		a.SID_CORPORATE
	,	a.SID_FORUM
	,	a.ROOTAID
	,	a.MAXID
	,	b.CRETIME as MAXCRETIME
     from
		(select 
			SID_CORPORATE
		,	SID_FORUM
		,	ROOTAID
		,	max(ID) as MAXID
		 from
			TT_FRM_ARTICLE
		  where ROOTAID > 0 
		   group by SID_CORPORATE, SID_FORUM, ROOTAID
        ) a
        inner join
        TT_FRM_ARTICLE b
        on a.SID_CORPORATE = b.SID_CORPORATE
         and a.SID_FORUM = b.SID_FORUM
          and a.MAXID = b.ID
    ) c
	on m.SID_CORPORATE=c.SID_CORPORATE
	 and m.SID_FORUM = c.SID_FORUM
	 and m.ID=c.ROOTAID
  where
	COALESCE(m.ROOTAID,0)=0
	and m.SID_CORPORATE=1
   order by m.SID_FORUM, ID;
