select 
	b.SID_CORPORATE
,	coalesce(rowcount, 100) as rowcount
,	coalesce(save, 24) as save
,	coalesce(newicon, '1') as newicon
,	coalesce(newcount, 3) as newcount
,	coalesce(recvflag, '0') as recvflag
,	b.attachsize 
from
	(select SID_CORPORATE, case when attachsizeuse='1' then attachsize else 0 end as attachsize from TM_SETTING) b left join TM_INFO_SETTING a on a.SID_CORPORATE=b.SID_CORPORATE
where
	b.SID_CORPORATE=1
;
