select 
	info.SID_CORPORATE
,	info.Id
,	info.subject
,	to_char(to_date(info.startdate, 'yyyymmdd') - 1, 'yyyymmdd') AS startdate
,	info.enddate
,	info.bord
,	info.priority
,	info.cretime
,	info.entry
,	info.format
,	'1' as cflg
,	'1500' as starttime
,	'1459' as endtime
,	info.entry as updateuser
,       (CASE WHEN u.ID IS NOT NULL THEN
            (CASE WHEN g.ID IS NOT NULL AND (uset.nodispitem LIKE '%Group%' OR uset.nodispitem LIKE '%assign%') IS NOT TRUE THEN u.Name || ' [' || g.Name || ']'
                  ELSE u.Name END)
             ELSE info.entryname END) as makename
,	'0' as approvalflg
from
	TT_INFORMATION info
	left outer join TM_USER u ON u.SID_CORPORATE = info.SID_CORPORATE AND u.ID = info.entry
	left outer join TM_GROUP g ON g.SID_CORPORATE = u.SID_CORPORATE AND g.ID = u.defgroup
	left outer join TM_USET_SETTING uset ON uset.SID_CORPORATE = info.SID_CORPORATE
where
	info.SID_CORPORATE=1
order by
	info.SID_CORPORATE, info.ID
;