select 
	ks.SID_CORPORATE 
,	ks.SID_KOUBAI 
,	ks.ID 
,	ks.Name 
,	ks.price 
,	ks.tax 
,	ks.entry 
,	ks.entrydate 
,	ks.deldate 
,	ks.SEQNO 
from
	TT_KOBAI_SHOHIN ks 
JOIN 
	TT_KOBAI k 
ON 
	ks.SID_CORPORATE=k.SID_CORPORATE 
AND 
	ks.SID_KOUBAI=k.ID 
where 
	ks.SID_CORPORATE=1 
and 
	(COALESCE(k.repeat,'0')!='5' OR COALESCE(k.intervalkind,'0')!='m' OR extract(day from to_timestamp(k.startdate, 'YYYYMMDD')) < 29) 
order by 
	ks.SID_CORPORATE, ks.SID_KOUBAI, ks.ID 
;
