select 
	ku.SID_CORPORATE 
,	ku.ID 
,	ku.SID_ASSIGN 
,	ku.delflg 
from 
	TT_KOBAI_USER ku 
JOIN 
	TT_KOBAI k 
ON 
	ku.SID_CORPORATE=k.SID_CORPORATE 
AND 
	ku.ID=k.ID 
where 
	ku.SID_CORPORATE=1 
and 
	(COALESCE(k.repeat,'0')!='5' OR COALESCE(k.intervalkind,'0')!='m' OR extract(day from to_timestamp(k.startdate, 'YYYYMMDD')) < 29) 
order by 
	ku.SID_CORPORATE, ku.ID, ku.SID_ASSIGN 
;
