SELECT a.SID_CORPORATE,a.SID_USER,a.ID,b.defacc,c.ID AS aid,d.lastid
 FROM TMPR_WML_ACCOUNT AS a
 LEFT OUTER JOIN (
 SELECT b1.SID_CORPORATE, b1.SID_USER, b1.defacc
 FROM TMPR_WML_SETTING AS b1
 INNER JOIN TMPR_WML_ACCOUNT b2
 ON b1.SID_CORPORATE=b2.SID_CORPORATE AND b1.SID_USER=b2.SID_USER AND b1.defacc=b2.ID
 ) AS b ON b.SID_CORPORATE=a.SID_CORPORATE AND b.SID_USER=a.SID_USER
 LEFT OUTER JOIN (
 SELECT c1.SID_CORPORATE, c1.SID_USER, c1.ID
 FROM TMPR_WML_ACCOUNT c1
 WHERE NOT EXISTS (SELECT ID FROM TMPR_WML_ACCOUNT WHERE SID_CORPORATE = c1.SID_CORPORATE AND SID_USER = c1.SID_USER AND SEQNO < c1.SEQNO)
 ) AS c ON c.SID_CORPORATE=a.SID_CORPORATE AND c.SID_USER=a.SID_USER
 LEFT OUTER JOIN TMPR_INDEX AS d
 ON d.SID_CORPORATE=a.SID_CORPORATE AND d.SID_USER=a.SID_USER AND d.SID_MODULE=10 AND d.SUBCODE='001'
 ORDER BY a.SID_CORPORATE,a.SID_USER,a.ID;
