SELECT 
  c.SID_CORPORATE,
  c.SID_USER,
  SID_CONTENTS,
  CASE 
    WHEN SID_CONTENTS=1000 AND CONTENTS_ATTR LIKE 'B%' THEN '3' 
    WHEN SID_CONTENTS=1000 THEN '1' 
    ELSE '2' 
  END AS SID_BLOCK,
  CASE WHEN SID_CONTENTS=1000 THEN 1 ELSE CONTENTS_ROW END AS CONTENTS_ROW,
  CASE WHEN SID_CONTENTS=1000 THEN 1 ELSE CONTENTS_COL END AS CONTENTS_COL,
  PORTAL_COLOR AS CONTENTS_COLOR,
  '' as CONTENTS_ATTR,
  CASE 
    WHEN SID_CONTENTS IN (3, 1020, 1021, 1022) THEN CONTENTS_ATTR
    ELSE '' 
  END AS CONTENTS_ATTR_P,
  c.CRETIME,
  c.UPDTIME 
FROM
  TMPR_PCONTENTS_S c JOIN TMPR_PORTAL_SET p 
    ON c.SID_CORPORATE=p.SID_CORPORATE AND c.SID_USER=p.SID_USER 
WHERE
  c.SID_CORPORATE=1 AND SID_CONTENTS <> 1002 
