SELECT 
  c.SID_CORPORATE,
  c.SID_GROUP,
  SID_CONTENTS,
  CASE 
    WHEN SID_CONTENTS=1000 AND CONTENTS_ATTR LIKE 'B%' THEN '3' 
    WHEN SID_CONTENTS=1000 THEN '1' 
    ELSE '2' 
  END AS SID_BLOCK,
  CASE WHEN SID_CONTENTS=1000 THEN 1 ELSE CONTENTS_ROW END AS CONTENTS_ROW,
  CASE WHEN SID_CONTENTS=1000 THEN 1 ELSE CONTENTS_COL END AS CONTENTS_COL,
  PORTAL_COLOR AS CONTENTS_COLOR,
  '' as CONTENTS_ATTR,
  c.CRETIME,
  c.UPDTIME 
FROM
  TM_PCONTENTS_GRP c JOIN TM_PORTAL_GRP p 
    ON c.SID_CORPORATE=p.SID_CORPORATE AND c.SID_GROUP=p.SID_GROUP 
WHERE
  c.SID_CORPORATE=1 AND SID_CONTENTS <> 1002
