select 
	m.SID_CORPORATE
,	m.SID_USER
,	m.SID_MODULE
,	m.did
,	m.tagcolor
,	t.TITLE
,	m.cdid
 from
	TT_PRJ_TASK t
	inner join
	(select 
		c.SID_CORPORATE
	,	c.SID_USER
	,	p.did as did
	,	c.tagcolor
	,	c.SID_ASSIGN as cdid
	,	p.SID_MODULE
	 from
		TMPR_CTAG c
		inner join
		TMPR_TAG p
		on c.SID_CORPORATE=p.SID_CORPORATE
		 and c.SID_USER=p.SID_USER
		 and c.ID=p.ID
	  where p.SID_MODULE=17
	) m
	on t.SID_CORPORATE=m.SID_CORPORATE
	 and t.SID_PROJECT=m.did
	 and t.ID=m.cdid
  where
	m.SID_CORPORATE=1
   order by
	m.SID_USER
,	t.STARTDATE
,	t.TITLE;
