select 
	m.SID_USER
,	COALESCE(tagcnt, 0) as tagcnt
,	COALESCE(i.lastid, 0) as lastid
 from
	TMPR_INDEX i
	inner join
	(select 
		c.SID_CORPORATE
	,	c.SID_USER
	,	count(*) as tagcnt
	 from
		TMPR_CTAG c
		inner join
		TMPR_TAG p
		on c.SID_CORPORATE=p.SID_CORPORATE
		 and c.SID_USER=p.SID_USER
		 and c.ID=p.ID
	  where p.SID_MODULE=17
	   group by c.SID_CORPORATE, c.SID_USER
	) m
	on i.SID_CORPORATE=m.SID_CORPORATE
	 and i.SID_USER=m.SID_USER
  where
	m.SID_CORPORATE=1
	and i.SID_MODULE=2
	and i.subcode='006';
