select 
	ps.SID_CORPORATE
,	ps.ID
,	u.ID as SID_ASSIGN
 from
	(select 
		pm.SID_CORPORATE
	,	pm.ID
	,	pm.SID_USER_ENTRY
	 from
		TT_PROJECT pm
		left outer join
		TT_ACCPRJ_ALL accall
		on pm.SID_CORPORATE=accall.SID_CORPORATE
		 and pm.ID=accall.ID
	  where 
		COALESCE(accall.ACCESSKIND,0)!=0
	) ps
,	TM_USER u
  where
	u.SID_CORPORATE=ps.SID_CORPORATE
    and u.ID!=ps.SID_USER_ENTRY
    and ps.SID_CORPORATE=1
   order by ID;