select 
	a.SID_CORPORATE
,	a.SID_PROJECT
,	a.SID_TASK
,	a.ID
,	a.SID_ATTACH
,	a.FILENAME
,	a.DISPNAME
,	a.MIMETYPE
,	t.TITLE as logtitle
from
	TT_ATTACH_PRJREPORT a
	JOIN TT_PRJ_REPORT r ON a.SID_CORPORATE = r.SID_CORPORATE AND a.SID_PROJECT = r.SID_PROJECT AND a.SID_TASK = r.SID_TASK AND a.ID = r.ID
	JOIN TT_PRJ_TASK t ON a.SID_CORPORATE = t.SID_CORPORATE AND a.SID_PROJECT = t.SID_PROJECT AND a.SID_TASK = t.ID
where
	a.SID_CORPORATE=1
order by
	a.SID_CORPORATE, a.SID_PROJECT, a.SID_TASK, a.ID, a.SID_ATTACH
;
