select 
	a.SID_CORPORATE
,	a.SID_PROJECT
,	a.ID
,	a.SID_ATTACH
,	a.FILENAME
,	a.DISPNAME
,	a.MIMETYPE
,	t.TITLE as logtitle
from
	TT_ATTACH_PRJTASK a
	JOIN TT_PRJ_TASK t ON a.SID_CORPORATE = t.SID_CORPORATE AND a.SID_PROJECT = t.SID_PROJECT AND a.ID = t.ID
where
	a.SID_CORPORATE=1
order by
	a.SID_CORPORATE, a.SID_PROJECT, a.ID, a.SID_ATTACH
;
