select 
	r.SID_CORPORATE
,	r.SID_PROJECT
,	r.SID_TASK
,	r.ID
,	r.MEMO
,	r.ENTRY
,	COALESCE(r.RATE, 0) as RATE
,	r.CRETIME
,	t.STARTDATE
,	t.ENDDATE
 from
	TT_PRJ_REPORT r
	left outer join
	TT_PRJ_TASK t
	on r.SID_CORPORATE=t.SID_CORPORATE
	 and r.SID_PROJECT=t.SID_PROJECT
	 and r.SID_TASK=t.ID
  where
	r.SID_CORPORATE=1
   order by
	r.SID_PROJECT
,	t.STARTDATE
,	t.TITLE;