select 
	p.SID_CORPORATE
,	p.ID
,	p.TITLE
,	p.COMPLETE
,	COALESCE(t.TASKCNT, 0) as TASKCNT
,	COALESCE(t.MAXID, 0) as LASTID
,	p.STARTDATE
,	p.ENDDATE
,	p.MEMO
,	p.CHIEF
,	p.BUDGET
,	p.STAFF
 from
	TT_PROJECT p
	left outer join
	(select
		SID_CORPORATE
	,	SID_PROJECT
	,	MAX(ID) as MAXID
	,	COUNT(ID) as TASKCNT
	 from
		TT_PRJ_TASK
	  group by SID_CORPORATE, SID_PROJECT
	) t
	on p.SID_CORPORATE=t.SID_CORPORATE
	 and p.ID=t.SID_PROJECT
  where
	p.SID_CORPORATE=1
   order by ID;