SELECT 
	SID_CORPORATE
,	ID
,	Name
,	SEQNO
,	starttime
,	endtime
,	usetime
,	'1' AS holidayuse
,	CAST((CASE WHEN reservlimit='0' THEN '-1' WHEN CAST(reservlimit AS INTEGER) > 0 THEN 'n' ELSE NULL END) AS varchar(2)) AS reserve_limit_use
,	CAST((CASE WHEN CAST(reservlimit AS INTEGER) > 0 THEN CAST(reservlimit AS INTEGER) * 30 ELSE 0 END) AS numeric(3)) AS reserve_limited_num
,	reservschlimit
 FROM
	TM_PLT_GROUP
 WHERE
	SID_CORPORATE = 1;
