select 
   b.SID_CORPORATE
 , coalesce(stime, 7) as stime
 , coalesce(unit, 10) as unit
 , coalesce(rowcount, 100) as rowcount
 , coalesce(rowother, 100) as rowother
 , coalesce(save, 24) as save
 , coalesce(Sunday, '0') as Sunday
 , coalesce(infomation, '1') as infomation
 , coalesce(holiday, '1') as holiday
 , coalesce(disptotime, '1') as disptotime
 , coalesce(dispgroup, '1') as dispgroup
 , coalesce(openperm, '1') as openperm
 , coalesce(toppage, 'schweekgrp') as toppage
 , coalesce(dupperm, '1') as dupperm
 , (CASE othercolor
    WHEN '#800000' THEN 'dbrown'
    WHEN '#df0000' THEN 'dred'
    WHEN '#008040' THEN 'dgreen'
    WHEN '#0000FF' THEN 'dblue'
    WHEN '#c100c1' THEN 'dpurple'
    WHEN '#ff80c0' THEN 'dpink'
    WHEN '#ff8040' THEN 'dyellow'
    WHEN '#000080' THEN 'dnavy'
    ELSE NULL END) AS othercolor
 , coalesce(todo, '1') as todo
 , coalesce(nodispopen, '0') as nodispopen
 , b.attachsize 
 from
   (select SID_CORPORATE, case when attachsizeuse='1' then attachsize else 0 end as attachsize from TM_SETTING) b left join TM_SCH_SETTING a on a.SID_CORPORATE=b.SID_CORPORATE
 where
   b.SID_CORPORATE=1;
