select 
	a.SID_CORPORATE 
,	a.SID_USER
,	a.ID
,	a.SID_MODULE
,	a.did
,	a.tagcolor
,	a.subject
,	a.url
,	a.SEQNO
,	b.Name
,	b.memo
,	b.cretime
,	b.savefolder
,	c.FILENAME
,	c.DISPNAME
,   c.SID_ATTACH
from
	TMPR_TAG a
inner join
	TTPR_CAB b 
	on
		a.SID_CORPORATE = b.SID_CORPORATE and
		a.SID_USER = b.SID_USER and
		a.did = b.ID
inner join
	TTPR_ATTACH_CAB c
	on
		b.SID_CORPORATE = c.SID_CORPORATE and
		b.SID_USER = c.SID_USER and
		b.ID = c.ID
where
	a.SID_CORPORATE = 1 and
	a.SID_MODULE = 23
order by
	a.SID_USER,a.ID,c.SID_ATTACH
;
