SELECT 
  SID_CORPORATE,
  ID,
  NAME,
  URL,
  COALESCE(_OFF, '0') as _OFF,
  COALESCE(LOGINOFF, '0') as LOGINOFF,
  SID_FOLDER,
  COALESCE(FILENAME, '/dneores/images/com/co-bookmark.png') as FILENAME,
  COALESCE(MIMETYPE, 'image/png') as MIMETYPE,
  SEQNO,
  CRETIME,
  UPDTIME,
  '/dneores/images/com/menu/app_orange.png' as menufilename,
  'image/png' as menumimetype
FROM
  TM_BOOKMARK 
WHERE
  SID_CORPORATE=1 AND ID > 999 
ORDER BY
  SEQNO ASC
