select 
	SID_CORPORATE 
,	Login as login_kind
,	savepwdkind 
,	(CASE 
         WHEN pwdminlen IS NOT NULL THEN CAST(pwdminlen as numeric(2))
         WHEN pwdrequired='1' THEN CAST(1 as numeric(2))
         ELSE CAST(NULL as numeric(2))
    END) as pass_requisite_min
,	pwdinvchar as pass_prohibited_characters
from
	TM_OFFICE WHERE SID_CORPORATE=1;
