select a.SID_CORPORATE
	, a.ID
	, NULL as SID_PARTS
	, a.SID_ATTACH
	, a.filename
	, a.dispname
	, a.mimetype
	, COALESCE(b.subject,'') || COALESCE(b.detail,'') as logtitle
	from TT_ATTACH_CRT as a
	join tt_crt as b on a.SID_CORPORATE=b.SID_CORPORATE and a.ID=b.ID
	where a.SID_CORPORATE=1
union all
select a.SID_CORPORATE
	, a.SID_CREPORT as ID
	, a.ID as SID_PARTS
	, a.SID_ATTACH
	, a.filename
	, a.dispname
	, a.mimetype
	, COALESCE(b.subject,'') || COALESCE(b.detail,'') as logtitle
	from TT_ATTACH_CRT_PARTS as a
	join tt_crt as b on a.SID_CORPORATE=b.SID_CORPORATE and a.SID_CREPORT=b.ID
	where a.SID_CORPORATE=1
order by
	SID_CORPORATE, ID, SID_PARTS NULLS FIRST, SID_ATTACH