SELECT b.SID_CORPORATE
,b.SID_DOC
,b.ID
,b.SID_ATTACH
,b.FILENAME
,b.DISPNAME
,b.MIMETYPE
,COALESCE(d.NAME, 
  (select c.dispname from tt_attach_doc c where b.SID_DOC = c.ID and c.SID_ATTACH=1 and b.SID_CORPORATE=1 and b.SID_CORPORATE=c.SID_CORPORATE))
   as logtitle
,d.SID_FOLDER
 FROM
  (SELECT SID_CORPORATE, SID_DOC, MAX(ID) AS ID FROM TT_ATTACH_DOC_REV GROUP BY SID_DOC, SID_CORPORATE)AS a 
 INNER JOIN TT_ATTACH_DOC_REV b
   ON a.SID_CORPORATE = b.SID_CORPORATE AND a.SID_DOC = b.SID_DOC AND a.ID = b.ID AND a.SID_CORPORATE=1
 LEFT JOIN TT_DOCUMENT d
 ON b.SID_DOC=d.ID AND b.SID_CORPORATE=d.SID_CORPORATE AND b.SID_CORPORATE=1;
