select a.SID_CORPORATE
	, a.SID_USER
	, a.SID_FORM
	, a.ID
	, case when a.ID >= 0 then a.SEQNO else coalesce(b.maxseqno,0) + abs(a.seqno) end as SEQNO
	, a.htmltype
	, a.htmlparts
	, a.Name
	, a.namehide
	, a.preval
	, a.hissuchk
	, a.partshide
	, a.br
	, a.selval
	, a.srows
	, a.yeartype
	, a.decimalpoint
	, a.unit
	, a.unitarrange
	, a.minval
	, a.maxval
	from TMPR_FLW_FORMPARTS as a
	left outer join (select sid_corporate, sid_user, sid_form, max(seqno) as maxseqno from tmpr_flw_formparts where id>=0 group by sid_corporate, sid_user, sid_form) as b
		on b.sid_corporate=a.sid_corporate and b.sid_user=a.sid_user and b.sid_form=a.sid_form
	where a.SID_CORPORATE=1
