select a.SID_CORPORATE
    , a.ID as SID_FLW
	, case when b.ID IS NOT NULL then b.ID
			else 1
			end as ID
	, case when b.ID IS NOT NULL then 
				case when b.ID >= 0 then b.SEQNO else coalesce(c.maxseqno,0) + abs(b.seqno) end
			else 1
			end as SEQNO
	, case when b.ID IS NOT NULL then b.htmltype
			else '2'
			end as htmltype
	, case when b.ID IS NOT NULL then b.htmlparts
			else '<FONT size="2" color="#000000">'
			end as htmlparts
	, case when b.ID IS NOT NULL then b.Name
			else a.memo
			end as Name
	, case when b.ID IS NOT NULL then b.namehide
			else '0'
			end as namehide
	, case when b.ID IS NOT NULL then b.preval
			else NULL
			end as preval
	, case when b.ID IS NOT NULL then b.hissuchk
			else '0'
			end as hissuchk
	, case when b.ID IS NOT NULL then b.partshide
			else '0'
			end as partshide
	, case when b.ID IS NOT NULL then b.br
			else '1'
			end as br
	, case when b.ID IS NOT NULL then b.selval
			else NULL
			end as selval
	, case when b.ID IS NOT NULL then b.srows
			else NULL
			end as srows
	, case when b.ID IS NOT NULL then b.yeartype
			else NULL
			end as yeartype
	, case when b.ID IS NOT NULL then b.decimalpoint
			else NULL
			end as decimalpoint
	, case when b.ID IS NOT NULL then b.unit
			else NULL
			end as unit
	, case when b.ID IS NOT NULL then b.unitarrange
			else NULL
			end as unitarrange
	, case when b.ID IS NOT NULL then b.minval
			else NULL
			end as minval
	, case when b.ID IS NOT NULL then b.maxval
			else NULL
			end as maxval
	, case when b.htmltype = '6' then '0'
			else NULL
			end as prevaltype
	, NULL as partskey
	from TT_FLW a
		left outer join TT_FLW_PARTS b on a.SID_CORPORATE=b.SID_CORPORATE and a.ID=b.SID_FLW
		left outer join (select sid_corporate, sid_flw, max(seqno) as maxseqno from TT_FLW_PARTS where id>=0 group by sid_corporate, sid_flw) as c on c.sid_corporate=b.sid_corporate and c.sid_flw=b.sid_flw
	where a.SID_CORPORATE=1
	