select 
	a.SID_CORPORATE
,	a.SID_USER
,	a.SID_FORUM
,	COALESCE(b.ROOTAID, 0) as ROOTAID
,	a.ID
 from
	TTPR_FRM_ARTREAD a
	left outer join
	TT_FRM_ARTICLE b
	on a.SID_CORPORATE=b.SID_CORPORATE
	 and a.SID_FORUM=b.SID_FORUM
	 and a.ID=b.ID
  where
	a.SID_CORPORATE=1
   order by SID_FORUM, ROOTAID, ID, SID_USER;
