select 
	a.SID_CORPORATE
,	a.SID_FORUM
,	COALESCE(b.ROOTAID, 0) as ROOTAID
,	a.ID
,	a.SID_ATTACH
,	a.FILENAME
,	a.DISPNAME
,	a.MIMETYPE
,	b.title as logtitle
 from
	TT_ATTACH_FRM_ART a
	left outer join
	TT_FRM_ARTICLE b
	 on a.SID_CORPORATE=b.SID_CORPORATE
	 and a.SID_FORUM=b.SID_FORUM
	 and a.ID=b.ID
  where
	a.SID_CORPORATE=1
   order by SID_FORUM, ROOTAID, ID;
