select 
	kt.SID_CORPORATE 
,	kt.SID_KOUBAI 
,	kt.subcode 
,	kt.lastid 
from 
	TT_INDEX_KOBAI kt 
JOIN 
	TT_KOBAI k 
ON 
	kt.SID_CORPORATE=k.SID_CORPORATE 
AND 
	kt.SID_KOUBAI=k.ID 
where 
	kt.SID_CORPORATE=1 
and 
	(COALESCE(k.repeat,'0')!='5' OR COALESCE(k.intervalkind,'0')!='m' OR extract(day from to_timestamp(k.startdate, 'YYYYMMDD')) < 29) 
order by 
	kt.SID_CORPORATE, kt.SID_KOUBAI 
;
