SELECT 
 a.SID_CORPORATE
,a.ID AS SID_USER
,b.ID
,b.account
,b.Name
,b.mymail
,CASE WHEN b.sync='1' THEN '0' ELSE b.use END AS use
,b.pop3kind
,b.smtpkind
,b.pop3server
,b.smtpserver
,b.pop3
,b.smtp
,b.apop
,b.timeout
,b.userid
,b.word
,b.sync
,coalesce(b.rstatus, 0) AS rstatus
,b.POPBSMTP
,b.rstatusmsg
,b.smtpauthkind
,b.smtpauthuid
,b.smtpauthpwd
,b.SEQNO
,CAST('0' AS VARCHAR) AS pop3secure
,CAST('0' AS VARCHAR) AS smtpsecure
,CASE WHEN EXISTS (SELECT ID FROM TMPR_WML_FOLDER WHERE SID_CORPORATE=a.SID_CORPORATE AND SID_USER=a.ID) THEN 1 ELSE 0 END AS fid
,a.Name AS uname
,CAST(NULL AS CHAR(14)) as rstatustime
,CAST(NULL AS NUMERIC(8)) as syncsavedays
 FROM TM_USER AS a
 LEFT OUTER JOIN TMPR_WML_ACCOUNT AS b ON a.SID_CORPORATE=b.SID_CORPORATE AND a.ID=b.SID_USER
 WHERE a.SID_CORPORATE=1
 ORDER BY a.SID_CORPORATE,a.ID,b.ID;
