SELECT 
 b.SID_CORPORATE
,coalesce(rowcount, 100) as rowcount
,coalesce(send, '1') as send
,coalesce(sendsave, '1') as sendsave
,coalesce(indent, '>') as indent
,coalesce(body, '1') as body
,coalesce(pfilter, '1') as pfilter
,coalesce(BODYSIZE, 30000) as BODYSIZE
,coalesce(brflg, '0') as brflg
,coalesce(brsize, 0) as brsize
,coalesce(mailintg, '0') as mailintg
,coalesce(autorecv, '0') as autorecv
,coalesce(htmdisp, '1') as htmdisp
,coalesce(htmsend, '1') as htmsend
,coalesce(svrmail, 0) as svrmail
,coalesce(svconfirm, '1') as svconfirm
,coalesce(dtarget, '0') as dtarget
,CAST('0' AS VARCHAR) AS accsetting
,coalesce(zipexport, '0') as zipexport
,coalesce(zipsize, 1024) as zipsize
,coalesce(zipnum, 1000) as zipnum
,coalesce(mailintg, '1') AS mailopt
,CAST('0' AS VARCHAR) AS returntype
,CAST('0' AS VARCHAR) AS fwdtype
,CAST('1' AS VARCHAR) AS mlopentype
,CAST('0' AS VARCHAR) AS shareaccsetting
,CAST('1' AS VARCHAR) AS sendcnfsetting
,b.attachsize 
,CAST('0' AS VARCHAR) AS undosendtype
,CAST(10 as numeric(4)) AS undosendtime
,CAST('0' AS VARCHAR) AS undosendsetting
,CAST('2' AS VARCHAR) AS signmethod
,CAST('3' AS VARCHAR) AS mainpglayout
 FROM (select SID_CORPORATE, case when attachsizeuse='1' then attachsize else 0 end as attachsize from TM_SETTING) b left join TM_WML_SETTING a on a.SID_CORPORATE=b.SID_CORPORATE
 WHERE b.SID_CORPORATE=1
