select 
	att.SID_CORPORATE 
,	att.SID_USER 
,	att.ID 
,	att.SID_ATTACH 
,	att.FILENAME 
,	att.DISPNAME 
,	att.MIMETYPE 
,	memp.Name
,	memp.memo
,	memp.Name as logtitle
from
	TTPR_ATTACH_MEMP att
JOIN 
	TTPR_MEMP memp 
ON 
	att.SID_CORPORATE = memp.SID_CORPORATE 
AND 
	att.SID_USER = memp.SID_USER
AND 
	att.ID = memp.ID
where
	att.SID_CORPORATE=1 
order by
	att.SID_CORPORATE, att.SID_USER, att.ID, att.SID_ATTACH
;
