select 
	accu.SID_CORPORATE
,	accu.ID
,	accu.SID_ASSIGN
 from
	(select 
		accg.SID_CORPORATE
	,	accg.ID
	,	accg.ACCESSKIND
	,	gu.SID_ASSIGN
	  from
		TT_ACCPRJ_GROUP accg
		inner join
		TM_GROUP_USER gu
		on accg.SID_CORPORATE=gu.SID_CORPORATE
		 and accg.SID_ASSIGN=gu.ID
	) accu
	inner join
	(select 
		pm.SID_CORPORATE
	,	pm.ID
	,	pm.SID_USER_ENTRY
	 from
		TT_PROJECT pm
		left outer join
		TT_ACCPRJ_ALL accall
		on pm.SID_CORPORATE=accall.SID_CORPORATE
		 and pm.ID=accall.ID
	  where 
		COALESCE(accall.ACCESSKIND,0)=0
	) ps
	on accu.SID_CORPORATE=ps.SID_CORPORATE
	 and accu.ID=ps.ID
	 and accu.SID_ASSIGN!=ps.SID_USER_ENTRY
  where 
	COALESCE(accu.ACCESSKIND,0)!=0
	and accu.SID_CORPORATE=1
   order by ID;
