SELECT 
	b.SID_CORPORATE
,	coalesce(rowcount, 10) as rowcount
,	coalesce(save, 12) as save
,	coalesce(mngrow, 100) as mngrow
,	b.attachsize 
 FROM
	(select SID_CORPORATE, case when attachsizeuse='1' then attachsize else 0 end as attachsize from TM_SETTING) b left join TM_AGENDA_SETTING a on a.SID_CORPORATE=b.SID_CORPORATE
 WHERE
	b.SID_CORPORATE=1;
