SELECT 
	SID_CORPORATE
,	ID
,	Name
,	memo
,	assigngroup
,	managegroup
,	SEQNO
,	starttime
,	(CASE WHEN endtime IS NULL THEN '2430' ELSE endtime END) AS endtime
,	usetime
,	holidayuse
,	CAST((CASE WHEN reservlimit='0' THEN '-1' WHEN CAST(reservlimit AS INTEGER) > 0 THEN 'n' ELSE NULL END) AS varchar(2)) AS reserve_limit_use
,	CAST((CASE WHEN CAST(reservlimit AS INTEGER) > 0 THEN CAST(reservlimit AS INTEGER) * 30 ELSE 0 END) AS numeric(3)) AS reserve_limited_num
,	reservschlimit
 FROM
	TM_PLANT
 WHERE
	SID_CORPORATE = 1;
