SELECT 
	a.SID_CORPORATE AS SID_CORPORATE
,	a.stime AS stime
,	b.unit AS unit
,	a.rowcount AS rowcount
,	a.rowother AS rowother
,	b.save AS save
,	a.Sunday AS Sunday
,	a.infomation AS infomation
,	a.holiday AS holiday
,	a.disptotime AS disptotime
,	a.defgroup AS defgroup
,	a.title AS title
,	b.openperm AS openperm
,	(CASE WHEN CAST(a.reservlimit AS INTEGER)= 0 THEN -1 WHEN CAST(a.reservlimit AS INTEGER) > 0 THEN CAST(a.reservlimit AS INTEGER) * 30 ELSE NULL END) AS reservlimit
,	a.datadel AS datadel
,	b.nodispopen AS nodispopen
,	c.attachsize
 FROM
	TM_PLT_SETTING a,
	TM_SCH_SETTING b,
	(select SID_CORPORATE, case when attachsizeuse='1' then attachsize else 0 end as attachsize from TM_SETTING where SID_CORPORATE=1) c
 WHERE
	a.SID_CORPORATE = 1;
