select 
     COUNT(ID)
 from
     (
     select
         ID
     from
         TTPR_SCHEDULE SCH
     where
         SID_CORPORATE = 1
     and (   srctype IS NULL
         or  srctarget IS NULL
         or (srctype = 'u' and srctarget NOT IN (SELECT ID FROM TM_USER  WHERE SID_CORPORATE = 1))
         or (srctype = 'g' and srctarget NOT IN (SELECT ID FROM TM_GROUP WHERE SID_CORPORATE = 1))
         or (srctype = 'p' and srctarget NOT IN (SELECT ID FROM TM_PLANT WHERE SID_CORPORATE = 1))
         )
     and startdate > '19700102'
     and startdate < '21000101'
     and not(enddate IS NULL and startdate > '20371231')

     union all

     select
         ID
     from
         TT_SCH_GROUP SCH
     where
         SID_CORPORATE = 1
     and (   srctype IS NULL
         or  srctarget IS NULL
         or (srctype = 'u' and srctarget NOT IN (SELECT ID FROM TM_USER  WHERE SID_CORPORATE = 1))
         or (srctype = 'g' and srctarget NOT IN (SELECT ID FROM TM_GROUP WHERE SID_CORPORATE = 1))
         or (srctype = 'p' and srctarget NOT IN (SELECT ID FROM TM_PLANT WHERE SID_CORPORATE = 1))
         )
     and startdate > '19700102'
     and startdate < '21000101'
     and not(enddate IS NULL and startdate > '20371231')

     union all

     select
         ID
     from
         TTPR_SCH_GROUP SCH
     where
         SID_CORPORATE = 1
     and srctype IS NULL
     and startdate > '19700102'
     and startdate < '21000101'
     and not(enddate IS NULL and startdate > '20371231')

     union all

     select
         ID
     from
         TT_PLT_SCHEDULE SCH
     where
         SID_CORPORATE = 1
     and (   srctype IS NULL
         or  srctarget IS NULL
         or (srctype = 'u' and srctarget NOT IN (SELECT ID FROM TM_USER  WHERE SID_CORPORATE = 1))
         or (srctype = 'g' and srctarget NOT IN (SELECT ID FROM TM_GROUP WHERE SID_CORPORATE = 1))
         or (srctype = 'p' and srctarget NOT IN (SELECT ID FROM TM_PLANT WHERE SID_CORPORATE = 1))
         )
     and startdate > '19700102'
     and startdate < '21000101'
     and not(enddate IS NULL and startdate > '20371231')
     ) alias
