SELECT 
	a.SID_CORPORATE AS SID_CORPORATE
,	b.ID AS ID
,	SUBSTR(b.startdate,3,6) || LPAD(CAST(b.SID_USER AS CHAR(10)),6,'0') || LPAD(CAST(b.ID AS CHAR(10)),5,'0') || '1' AS SID_SCHEDULE
,	 a.contact AS contact
,	(CASE a.status
              WHEN '予約' THEN 1 
              WHEN '連絡' THEN 2 
              WHEN '受付' THEN 3 
              ELSE 1 
        END) AS status
,	 a.location
,	 a.locationdtl AS locationdtl
,	 a.note AS note
,	 a.officename1 AS officename1
,	 a.Name1 AS Name1
,	 a.members1 AS members1
,	 a.officename2 AS officename2
,	 a.Name2 AS Name2
,	 a.members2 AS members2
,	 a.officename3 AS officename3
,	 a.Name3 AS Name3
,	 a.members3 AS members3
,	 a.officename4 AS officename4
,	 a.Name4 AS Name4
,	 a.members4 AS members4
,	 a.officename5 AS officename5
,	 a.Name5 AS Name5
,	 a.members5 AS members5
,	 a.officename6 AS officename6
,	 a.Name6 AS Name6
,	 a.members6 AS members6
,	 a.officename7 AS officename7
,	 a.Name7 AS Name7
,	 a.members7 AS members7
,	 a.officename8 AS officename8
,	 a.Name8 AS Name8
,	 a.members8 AS members8
,	 a.officename9 AS officename9
,	 a.Name9 AS Name9
,	 a.members9 AS members9
,	 a.officename10 AS officename10
,	 a.Name10 AS Name10
,	 a.members10 AS members10
 FROM
	TT_VIS_USER a
 INNER JOIN TTPR_SCHEDULE b ON a.SID_CORPORATE = b.SID_CORPORATE AND a.targetid = b.SID_USER AND a.schid = b.ID AND a.ID = b.visitor and b.startdate > '19700102' and b.startdate < '21000101' and not(b.enddate IS NULL and b.startdate > '20371231')
 WHERE a.SID_CORPORATE  = 1

 UNION 

SELECT 
	a.SID_CORPORATE AS SID_CORPORATE
,	b.ID AS ID
,	SUBSTR(b.startdate,3,6) || LPAD(CAST(b.SID_GROUP AS CHAR(10)),6,'0') || LPAD(CAST(b.ID AS CHAR(10)),5,'0') || '2' AS SID_SCHEDULE
,	 a.contact AS contact
,	(CASE a.status
              WHEN '予約' THEN 1 
              WHEN '連絡' THEN 2 
              WHEN '受付' THEN 3 
              ELSE 1 
        END) AS status
,	 a.location
,	 a.locationdtl AS locationdtl
,	 a.note AS note
,	 a.officename1 AS officename1
,	 a.Name1 AS Name1
,	 a.members1 AS members1
,	 a.officename2 AS officename2
,	 a.Name2 AS Name2
,	 a.members2 AS members2
,	 a.officename3 AS officename3
,	 a.Name3 AS Name3
,	 a.members3 AS members3
,	 a.officename4 AS officename4
,	 a.Name4 AS Name4
,	 a.members4 AS members4
,	 a.officename5 AS officename5
,	 a.Name5 AS Name5
,	 a.members5 AS members5
,	 a.officename6 AS officename6
,	 a.Name6 AS Name6
,	 a.members6 AS members6
,	 a.officename7 AS officename7
,	 a.Name7 AS Name7
,	 a.members7 AS members7
,	 a.officename8 AS officename8
,	 a.Name8 AS Name8
,	 a.members8 AS members8
,	 a.officename9 AS officename9
,	 a.Name9 AS Name9
,	 a.members9 AS members9
,	 a.officename10 AS officename10
,	 a.Name10 AS Name10
,	 a.members10 AS members10
 FROM
	TT_VIS_GROUP a
 INNER JOIN TT_SCH_GROUP b ON a.SID_CORPORATE = b.SID_CORPORATE AND a.targetid = b.SID_GROUP AND a.schid = b.ID AND a.ID = b.visitor and b.startdate > '19700102' and b.startdate < '21000101' and not(b.enddate IS NULL and b.startdate > '20371231')
 WHERE a.SID_CORPORATE  = 1

 UNION 

SELECT 
	a.SID_CORPORATE AS SID_CORPORATE
,	b.ID AS ID
,	SUBSTR(b.startdate,3,6) || LPAD(CAST(b.SID_PLANT AS CHAR(10)),6,'0') || LPAD(CAST(b.ID AS CHAR(10)),5,'0') || '4' AS SID_SCHEDULE
,	 a.contact AS contact
,	(CASE a.status
              WHEN '予約' THEN 1 
              WHEN '連絡' THEN 2 
              WHEN '受付' THEN 3 
              ELSE 1 
        END) AS status
,	 a.location
,	 a.locationdtl AS locationdtl
,	 a.note AS note
,	 a.officename1 AS officename1
,	 a.Name1 AS Name1
,	 a.members1 AS members1
,	 a.officename2 AS officename2
,	 a.Name2 AS Name2
,	 a.members2 AS members2
,	 a.officename3 AS officename3
,	 a.Name3 AS Name3
,	 a.members3 AS members3
,	 a.officename4 AS officename4
,	 a.Name4 AS Name4
,	 a.members4 AS members4
,	 a.officename5 AS officename5
,	 a.Name5 AS Name5
,	 a.members5 AS members5
,	 a.officename6 AS officename6
,	 a.Name6 AS Name6
,	 a.members6 AS members6
,	 a.officename7 AS officename7
,	 a.Name7 AS Name7
,	 a.members7 AS members7
,	 a.officename8 AS officename8
,	 a.Name8 AS Name8
,	 a.members8 AS members8
,	 a.officename9 AS officename9
,	 a.Name9 AS Name9
,	 a.members9 AS members9
,	 a.officename10 AS officename10
,	 a.Name10 AS Name10
,	 a.members10 AS members10
 FROM
	TT_VIS_PLANT a
 INNER JOIN TT_PLT_SCHEDULE b ON a.SID_CORPORATE = b.SID_CORPORATE AND a.targetid = b.SID_PLANT AND a.schid = b.ID AND a.ID = b.visitor and b.startdate > '19700102' and b.startdate < '21000101' and not(b.enddate IS NULL and b.startdate > '20371231')
 WHERE a.SID_CORPORATE  = 1;
