SELECT 
  u.ID as UserID, u.NAME as UserName, d.capa, d.filesize as CAPACITY,
  c.SAVEFOLDER ,f.NAME as FolderName, f.filesize as FOLDER_SIZE,
  c.ID, c.Name, c.FILESIZE,
  a.SID_ATTACH, a.filename, a.dispname
FROM TTPR_CAB c
  JOIN TTPR_ATTACH_CAB a on c.SID_CORPORATE = a.SID_CORPORATE and c.SID_USER = a.SID_USER and c.ID = a.ID
  JOIN TMPR_CAB_CATEGORY f on c.SID_CORPORATE = f.SID_CORPORATE and c.SID_USER = f.SID_USER and c.SAVEFOLDER = f.ID
  LEFT JOIN TMPR_CAB_CAPACITY d on c.SID_CORPORATE = d.SID_CORPORATE and c.SID_USER = d.SID_USER
  JOIN TM_USER u on c.SID_CORPORATE = u.SID_CORPORATE and c.SID_USER = u.ID
WHERE c.SID_CORPORATE=1 
ORDER BY c.SID_USER, c.SAVEFOLDER, c.ID, a.SID_ATTACH;
